#!/usr/bin/zsh
# My version of the last-working-dir plugin (https://github.com/ohmyzsh/ohmyzsh/blob/master/plugins/last-working-dir/last-working-dir.plugin.zsh)

# Updates the last directory once directory is changed
autoload -U add-zsh-hook
add-zsh-hook chpwd chpwd_last_working_dir
chpwd_last_working_dir() {
  # Don't run in subshells
  [[ "$ZSH_SUBSHELL" -eq 0 ]] || return 0
  pwd > ~/.last-working-dir
}

# Changes directory to the last working directory
lwd() {
    if [[ -r ~/.last-working-dir ]]; then
        lwd=$(cat ~/.last-working-dir)
        cd $lwd
        echo $lwd
    fi
}
